---
schema_version: "1"
id: bff4048178d8f3322cb3189b8c97f0b75068d2a8bb1a871649de85c9ca072375
title: GET /sms/v1/queueMO/deliveries/{tokenId}
collection: developer
version: current
locale: en-us
portal_url: https://docs.salesforce.com/developer/current/en-us/marketing-cloud/guides/mc-apis/getQueueMODelivery.md
canonical_url: https://developer.salesforce.com/docs/marketing/marketing-cloud/references/mc_rest_sms/getQueueMODelivery.html
source_site: developer.salesforce.com
content_type: documentation
content_hash: 03df8cb87da4ef6cf8a6d54499ccb447516a8900924f8296707c63ec751abfcb
products:
  - Marketing Cloud Engagement APIs and Programmatic Languages
  - Marketing Cloud
---
# GET /sms/v1/queueMO/deliveries/{tokenId}

## Overview

Retrieves the delivery status of a queued MO.

### URL Parameters

<!--complex table-->

| Name        | Type   |              | Description                         |
| ----------- | ------ | ------------ | ----------------------------------- |
| **tokenId** | string | **Required** | Token Id returned for the queued MO |

### Usage

**Example Request**

```js
Host: https://YOUR_SUBDOMAIN.rest.marketingcloudapis.com
GET /sms/v1/queueMO/deliveries/OXFoN2ZtT2xWazJLSFZkOVY3MGNZQTo3Njow
Content-Type: application/json
Authorization: Bearer YOUR_ACCESS_TOKEN
```

**Example Response**

```js
{
  "tracking": [
    {
      "mobileNumber": "15555555555",
      "statusCode": "200",
      "message": "Carrier Success"
    }
  ]
}
```
